## Text to image Converter
[![Gem Version](https://badge.fury.io/rb/rmagick-tti_converter.svg)](http://badge.fury.io/rb/rmagick-tti_converter)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rmagick-tti_converter', '~> 0.0.1'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rmagick-tti_converter

## Usage

```ruby
require 'rmagick/tti_converter'

text_wrapper = Magick::TTIConverter.new("./imgs_with_txt/")

source_text =<<-SomeTextD
  The arguments are pairs of points. At least 4 pairs must be specified. Each point xn, yn on the curve is associated with a control point cxn, cyn. The first point, x1, y1, is the starting point. The last point, xn, yn, is the ending point. Other point/control point pairs specify intermediate points on a polybezier curve.
SomeTextD

text_wrapper.make_image(source_text, file_name: "func_descr.jpg")
```
## Contributing

1. Fork it ( https://github.com/sinventor/rmagick-tti_converter/fork )
2. Create your feature branch (`git checkout -b some-feature`)
3. Commit your feature branch (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin some-feature`)
5. Create a new Pull Request

## License

It is free software, and may be redistributed under the terms specified in the LICENSE file.